### include guard
(return 0 2>/dev/null)              &&
[[ -z ${FULLUP_PLAT_V1X00_SH_+1} ]] &&
declare -xr FULLUP_PLAT_V1X00_SH_=1 && {
###

. "$I/arch/imx/mx8.sh"

__fullup_configure_v1x00_main() {
	set_cfg dtb_src     '' \
	                    "ccpilot-${platform}_device-tree-2.bin" \
	                    "ccpilot-${platform}_device-tree-3.bin" \
	                    "ccpilot-${platform}_device-tree-4.bin" \
	                    "ccpilot-${platform}_device-tree-5.bin"

	set_cfg dtb_dest    "ccpilot-${platform}-aa121td11-lvds0.dtb" \
	                    "ccpilot-${platform}-tm101g32-lvds0.dtb" \
	                    "ccpilot-${platform}-auog121-lvds0.dtb" \
	                    "ccpilot-${platform}-tm101g32-lvds1.dtb" \
	                    "ccpilot-${platform}-auog121-lvds1.dtb"

	__configure mx8
}

__fullup_configure_v1x00_rescue() {
	set_cfg dtb_src     '' \
	                    "ccpilot-${platform}_rescue_device-tree-2.bin" \
	                    "ccpilot-${platform}_rescue_device-tree-3.bin" \
	                    "ccpilot-${platform}_rescue_device-tree-4.bin" \
	                    "ccpilot-${platform}_rescue_device-tree-5.bin"

	set_cfg dtb_dest    "ccpilot-${platform}-aa121td11-lvds0-rescue.dtb" \
	                    "ccpilot-${platform}-tm101g32-lvds0-rescue.dtb" \
	                    "ccpilot-${platform}-auog121-lvds0-rescue.dtb" \
	                    "ccpilot-${platform}-tm101g32-lvds1-rescue.dtb" \
	                    "ccpilot-${platform}-auog121-lvds1-rescue.dtb"

	__configure mx8
}

### include guard
} || ((1))
###
