### include guard
(return 0 2>/dev/null)             &&
[[ -z ${FULLUP_ARCH_BASE_SH_+1} ]] &&
declare -xr FULLUP_ARCH_BASE_SH_=1 && {
###

. "$I/cfg.sh"

__shared_config_base() {
	set_cfg md5sum_src "ccpilot-${platform}.md5sum"
	set_cfg reboot     "main"
}

__fullup_configure_base_main() {
	__shared_config_base

	set_cfg kernel_src "ccpilot-${platform}_kernel.bin"
	set_cfg rootfs_src "ccpilot-${platform}_rootfs.bin"

	__configure end
}

__fullup_configure_base_rescue() {
	__shared_config_base

	set_cfg kernel_src "ccpilot-${platform}_rescue_kernel.bin"
	set_cfg rootfs_src "ccpilot-${platform}_rescue_rootfs.bin"

	__configure end
}

### include guard
} || ((1))
###
