### include guard
(return 0 2>/dev/null)            &&
[[ -z ${FULLUP_ARCH_IMX_SH_+1} ]] &&
declare -xr FULLUP_ARCH_IMX_SH_=1 && {
###

. "$I/arch/base.sh"

HAVE_BOOTLOADER=1
HAVE_DTB=1
HAVE_SPL=0

__shared_config_imx() {
	set_cfg boot_part      'mmcblk1p1'
	set_cfg user_part      'mmcblk1p4'
}

__fullup_configure_imx_main() {
	__shared_config_imx

	set_cfg root_part      'mmcblk1p3'
	set_cfg dtb_src        "ccpilot-${platform}_device-tree.bin"
	set_cfg dtb_dest       "ccpilot-${platform}.dtb"
	set_cfg bootloader_src "ccpilot-${platform}_u-boot.bin"

	__configure base
}

__fullup_configure_imx_rescue() {
	__shared_config_imx

	set_cfg root_part      'mmcblk1p2'
	set_cfg dtb_src        "ccpilot-${platform}_rescue_device-tree.bin"
	set_cfg dtb_dest       "ccpilot-${platform}-rescue.dtb"
	set_cfg no_bootloader  1

	__configure base
}

### include guard
} || ((1))
###
