### include guard
(return 0 2>/dev/null)                &&
[[ -z ${FULLUP_ARCH_IMX_MX8_SH_+1} ]] &&
declare -xr FULLUP_ARCH_IMX_MX8_SH_=1 && {
###

. "$I/arch/imx.sh"

__shared_config_mx8() {
	set_cfg bootloader_dev   'mmcblk1boot0'
	set_cfg bootloader_dd_bs '1024'
}

__fullup_configure_mx8_main() {
	__shared_config_mx8

	set_cfg kernel_dest 'Image'

	__configure imx
}

__fullup_configure_mx8_rescue() {
	__shared_config_mx8

	set_cfg kernel_dest 'Image_rescue'

	__configure imx
}

### include guard
} || ((1))
###
